# mtsc | MatterLinux tools and scripts collection
This repository contains different tools and scripts
for general MatterLinux installation, configuration and
build process.

### Installation
Following dependencies are required for these scripts and tools:

- bash
- coreutils
- make
- GRUB (please see matter-iso warning)
- gnupg
- fakeroot
- (GNU) tar
- (GNU) cpio
- [matt](https://git.matterlinux.xyz/Matter/matt)

After installing these dependencies, all the tools and scripts
can be copied to PATH with the make script:
```bash
make install
```
You can also install the mtsc package from the base package
pool.

### Usage
All tools/scripts contains usage information in README files:
- [mtsc-common](mtsc-common/README.md)
- [matter-chroot](matter-chroot/README.md)
- [matter-base](matter-base/README.md)
- [matter-iso](matter-iso/README.md)
- [mp-build](mp-build/README.md)
- [mp-pool](mp-pool/README.md)
